Sampler File Reference
`#include <vector>`
`#include <iostream>`
`#include <osg/Referenced>`
`#include <osg/ref_ptr>`
`#include <osgAnimation/Keyframe>`
`#include <osgAnimation/Interpolator>`

Go to the source code of this file.

## Classes

class | osgAnimation::Sampler
class | osgAnimation::TemplateSampler< F >
class | osgAnimation::TemplateCompositeSampler< VALUESAMPLERTYPE, TIMESAMPLERTYPE >

## Namespaces

namespace | osgAnimation

## Macros

#define | OSGANIMATION_SAMPLER 1

## Typedefs

typedef TemplateSampler< DoubleStepInterpolator > | osgAnimation::DoubleStepSampler
typedef TemplateSampler< FloatStepInterpolator > | osgAnimation::FloatStepSampler
typedef TemplateSampler< Vec2StepInterpolator > | osgAnimation::Vec2StepSampler
typedef TemplateSampler< Vec3StepInterpolator > | osgAnimation::Vec3StepSampler
typedef TemplateSampler< Vec4StepInterpolator > | osgAnimation::Vec4StepSampler
typedef TemplateSampler< QuatStepInterpolator > | osgAnimation::QuatStepSampler
typedef TemplateSampler< DoubleLinearInterpolator > | osgAnimation::DoubleLinearSampler
typedef TemplateSampler< FloatLinearInterpolator > | osgAnimation::FloatLinearSampler
typedef TemplateSampler< Vec2LinearInterpolator > | osgAnimation::Vec2LinearSampler
typedef TemplateSampler< Vec3LinearInterpolator > | osgAnimation::Vec3LinearSampler
typedef TemplateSampler< Vec4LinearInterpolator > | osgAnimation::Vec4LinearSampler
typedef TemplateSampler< QuatSphericalLinearInterpolator > | osgAnimation::QuatSphericalLinearSampler
typedef TemplateSampler< MatrixLinearInterpolator > | osgAnimation::MatrixLinearSampler
typedef TemplateSampler< FloatCubicBezierInterpolator > | osgAnimation::FloatCubicBezierSampler
typedef TemplateSampler< DoubleCubicBezierInterpolator > | osgAnimation::DoubleCubicBezierSampler
typedef TemplateSampler< Vec2CubicBezierInterpolator > | osgAnimation::Vec2CubicBezierSampler
typedef TemplateSampler< Vec3CubicBezierInterpolator > | osgAnimation::Vec3CubicBezierSampler
typedef TemplateSampler< Vec4CubicBezierInterpolator > | osgAnimation::Vec4CubicBezierSampler

## Macro Definition Documentation

## OSGANIMATION_SAMPLER

#define OSGANIMATION_SAMPLER 1